Bug 134889 - system-config-network and NetworkManager need more integration
system-config-network and NetworkManager need more integration
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
Blocks: 87718
  Show dependency treegraph
Reported: 2004-10-06 19:56 EDT by Jonathan Blandford
Modified: 2013-04-02 00:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 20:01:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Blandford 2004-10-06 19:56:32 EDT
Currently system-config-network doesn't know anything at all about
NetworkManager.  At a minimum, it should have a way to Enable/Disable
NM support.
Comment 1 Harald Hoyer 2004-10-18 11:33:54 EDT
what is needed to Enable/Disable NM in the ifcfg- files???
Comment 2 Dan Williams 2004-10-18 12:28:01 EDT

It should be more of a "global" option, as in "Use NetworkManager to
control my network" rather than per-interface.  A big old checkbox
somewhere.  Note that you still want to allow people to set up the
interface with static IP if they wish, but the "Use NetworkManager"
option would just flick a switch somewhere, like 'touch
/etc/sysconfig/NetworkManager' or something like that.

Comment 3 Dan Williams 2004-10-18 12:29:40 EDT
Another problem is hotplug when the ifup/ifdown scripts try to set up
the interface on hotplug, perhaps we could patch them to check for
/etc/sysconfig/NetworkManager and if its present, don't ifup the
Comment 4 Jonathan Blandford 2004-10-18 14:37:47 EDT
To clarify what Dan was saying, we're 'using NetworkManager' if the
service was started by default.  So the checkbox would essentially
just do 'chkconfig NetworkManager on' or something.  Additionally, if
NetworkManager is on we probably want to do set ONBOOT to 'no' and let
NetworkManager decide the right device to start.
Comment 5 John Thacker 2006-10-29 16:57:00 EST
Changing version to correct version bug was filed against.  (Some were filed
against "test3" when they clearly are for FC3T2, a test for FC3.)
Comment 6 Christian Iseli 2007-01-19 19:44:25 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 7 Matthew Miller 2007-04-06 11:20:57 EDT
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.
Comment 8 Peter van Egdom 2007-11-18 14:25:04 EST
Changed version from "fc3test2" to "devel". At this moment there is still no
integration between "system-config-network" and "NetworkManager".
Comment 9 Ignacio Vazquez-Abrams 2007-12-08 13:47:09 EST
Integration between NM and s-c-n is more involved than just "defer to NM". There
needs to be a script to read ifcfg-* and send the parameters to NM via D-Bus.
Comment 10 Harald Hoyer 2007-12-11 05:55:11 EST
Enable/Disable NM support

system-config-network-1.4.7-1.fc8 has been pushed to the Fedora 8 testing
repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-network'

Comment 11 Bug Zapper 2008-04-03 11:41:23 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 12 Bug Zapper 2008-05-06 20:01:20 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:

Note You need to log in before you can comment on or make changes to this bug.